Bug 1070254 (JON3-34) - Add functionality to execute bundle tasks as resource's uid instead of the agent uid when deploying to non-platform resources
Summary: Add functionality to execute bundle tasks as resource's uid instead of the ag...
Keywords:
Status: CLOSED EOL
Alias: JON3-34
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 13:44 UTC by Heiko W. Rupp
Modified: 2019-06-17 14:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-17 14:47:23 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1050014 None CLOSED Cannot deploy bundle to EAP domain mode 2019-04-24 21:30:42 UTC
Red Hat Bugzilla 1070227 None CLOSED Enable JON Agent to manage resources which belong to a different usergroup/userid 2019-04-24 21:30:42 UTC
Red Hat Issue Tracker JON3-34 Major New Add functionality to execute bundle tasks as resource's uid instead of the agent uid when deploying to non-platform reso... 2019-04-24 21:30:42 UTC

Internal Links: 1050014 1070227

Description Heiko W. Rupp 2014-02-26 13:44:32 UTC
Have multiple instances on a single platform running under unique users (ie, user1 for instance1, user2 for instance2). As such, the JBoss ON agent running under a user must have access to all instances (possibly root) in order to effect changes where needed. This is not acceptable as it may allow a creative UI user to create a bundle recipe that results in changes to an instance they are not privileged to.

Comment 1 Filip Brychta 2019-06-17 14:47:23 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.